summaryrefslogtreecommitdiffstats
path: root/system/cwtex-q-fonts-TTFs
diff options
context:
space:
mode:
author CCHsu2017-07-27 17:45:28 +0200
committer Willy Sudiarto Raharjo2017-07-28 01:11:32 +0200
commit2cf43f67532c178dddbb574d8eddcae928e75da8 (patch)
tree171b58391e48646aa87e4a5560a50e585c6f3289 /system/cwtex-q-fonts-TTFs
parent9117f6326af7cfd5dc767ccadcb8278adc9090fb (diff)
downloadslackbuilds-2cf43f67532c178dddbb574d8eddcae928e75da8.tar.gz
system/cwtex-q-fonts-TTFs: Added (modified cwTeX TTF fonts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/cwtex-q-fonts-TTFs')
-rw-r--r--system/cwtex-q-fonts-TTFs/README7
-rw-r--r--system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.SlackBuild68
-rw-r--r--system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.info10
-rw-r--r--system/cwtex-q-fonts-TTFs/doinst.sh11
-rw-r--r--system/cwtex-q-fonts-TTFs/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/cwtex-q-fonts-TTFs/README b/system/cwtex-q-fonts-TTFs/README
new file mode 100644
index 0000000000..f465f9e27e
--- /dev/null
+++ b/system/cwtex-q-fonts-TTFs/README
@@ -0,0 +1,7 @@
+cwtex-q-fonts-TTFs contains five kinds of Chinese fonts: Fangsong, Hei, Kai,
+Ming and yuan, which are originally to be the default fonts in XeLaTeX.
+These fonts are based on cwtex fonts made by Tsong-Min Wu and
+Tsong-Huey Wu in 1999-2004, then modified by Edward G.J. Lee, and this
+project is started by Chen-Pan Liao.
+
+The license is GPL 2.0 or later.
diff --git a/system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.SlackBuild b/system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.SlackBuild
new file mode 100644
index 0000000000..ca9b4fbf02
--- /dev/null
+++ b/system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for cwtex-q-fonts
+
+# Copyright 2017 CCHsu, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cwtex-q-fonts-TTFs
+VERSION=${VERSION:-0.4}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Installing font
+mkdir -p $PKG/usr/share/fonts/TTF
+for fontfile in ttf/*.ttf; do
+ cp -L $fontfile $PKG/usr/share/fonts/TTF
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -L {copying,license,OFL}.txt \
+ README.md readme.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.info b/system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.info
new file mode 100644
index 0000000000..0759bd871c
--- /dev/null
+++ b/system/cwtex-q-fonts-TTFs/cwtex-q-fonts-TTFs.info
@@ -0,0 +1,10 @@
+PRGNAM="cwtex-q-fonts-TTFs"
+VERSION="0.4"
+HOMEPAGE="https://github.com/l10n-tw/cwtex-q-fonts"
+DOWNLOAD="https://github.com/l10n-tw/cwtex-q-fonts-TTFs/archive/v0.4/cwtex-q-fonts-TTFs-0.4.tar.gz"
+MD5SUM="8ea54c31d98e3824380f1fde6b2d117d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="CCHsu"
+EMAIL="a12321aabb@gmail.com"
diff --git a/system/cwtex-q-fonts-TTFs/doinst.sh b/system/cwtex-q-fonts-TTFs/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/cwtex-q-fonts-TTFs/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/cwtex-q-fonts-TTFs/slack-desc b/system/cwtex-q-fonts-TTFs/slack-desc
new file mode 100644
index 0000000000..0ca12fa868
--- /dev/null
+++ b/system/cwtex-q-fonts-TTFs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cwtex-q-fonts-TTFs: cwtex-q-fonts-TTFs (modified cwTeX TTF fonts)
+cwtex-q-fonts-TTFs:
+cwtex-q-fonts-TTFs: cwtex-q-fonts contains five kinds of Chinese fonts: Fangsong, Hei,
+cwtex-q-fonts-TTFs: Kai, Ming and yuan, which are originally to be the default fonts
+cwtex-q-fonts-TTFs: in XeLaTeX.
+cwtex-q-fonts-TTFs: These fonts are based on cwtex fonts made by Tsong-Min Wu and
+cwtex-q-fonts-TTFs: Tsong-Huey Wu in 1999-2004, then modified by Edward G.J. Lee.
+cwtex-q-fonts-TTFs: and this project is started by Chen-Pan Liao.
+cwtex-q-fonts-TTFs: The license is GPL 2.0 or later.
+cwtex-q-fonts-TTFs: Homepage: https://github.com/l10n-tw/cwtex-q-fonts
+cwtex-q-fonts-TTFs: https://github.com/l10n-tw/cwtex-q-fonts-TTFs